/* eslint-disable import/no-commonjs */
import React, { useEffect, useState } from 'react'

import { View, Text, Image} from '@tarojs/components'

import { AtCurtain } from 'taro-ui'

import Taro from '@tarojs/taro'

import './index.scss'

const Index: React.FC = () => { 

  const [ visible, setVisble ] = useState<boolean>(false)

  // 跳转页面
  const goPage = () => {
    Taro.navigateTo({
       url: '/pages/Entrance/index'
    });
  }


  // 渲染弹窗
  const RenderRuler = () => {
    return (
      <AtCurtain isOpened={visible} closeBtnPosition='top-right' onClose={() => setVisble(false)} >
        <Image style={{width: 298, height: 432}} src={require('../../assets/index/ruler.png')} />
      </AtCurtain>
    )
  }
  

  return (
    <View className='index'>
    
        <Image 
          mode='scaleToFill'
          className='bg'
          src={require('../../assets/index/index1.png')}
        />

        <Image className='ruler' onClick={() => setVisble(true)} src={require('../../assets/index/index2.png')} />

        <View className='activity'>
          <Image className='gift-bag' src={require('../../assets/index/index3.png')} />

          <Image className='get-btn' src={require('../../assets/index/index5.png')} />
        </View>

        <Image 
          className='start-btn' 
          src={require('../../assets/index/index4.png')}
          onClick={goPage}
        />
        

        {/* 活动规则 */}
        {RenderRuler()}
      </View>
  )

}

export default Index
